Subject: bug#53512: closed (Re: [PATCH] gnu: QGIS: Build without QtWebKit.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Jan 2022 20:12:01 +0000

Your bug report

#53512: [PATCH] gnu: QGIS: Build without QtWebKit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53512: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53512
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: QGIS: Build without QtWebKit.
From: Leo Famulari <[email-masked]>
To: Guillaume Le Vaillant <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Jan 2022 15:11:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jan 25, 2022 at 01:40:25PM -0500, Leo Famulari wrote:
> Okay, thanks for checking. I'll test a revised patch and push once it
> builds.

Pushed as 4235c6ee92b5c8875343c675c8d841eaa9f40d4c.

I did forget to adjust the indentation of the test phase... oh well.

Subject: [PATCH] gnu: QGIS: Build without QtWebKit.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 24 Jan 2022 15:15:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

See <https://issues.guix.gnu.org/53289> for more information about this change.

With this change, the build fails due to some tests timing out.

I don't use QGIS, so it's not easy for me to understand the problem or
if it's okay to add tese tests to the long list of disabled tests. I
also could not find any online discussion about these tests timing out.

* gnu/packages/geo.scm (qgis)[inputs]: Remove qtwebkit.
[arguments]: Pass "-DWITH_QTWEBKIT=NO" to #:configure-flags.
---
 gnu/packages/geo.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 287b157b60..05591b7ce7 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -2274,6 +2274,8 @@ (define-public qgis
        #:imported-modules (,@%cmake-build-system-modules
                            (guix build python-build-system)
                            (guix build qt-utils))
+       #:configure-flags
+       '("-DWITH_QTWEBKIT=NO")
        #:phases
        (modify-phases %standard-phases
          ;; Configure correct path to PyQt5 SIP directory
@@ -2490,7 +2492,6 @@ (define-public qgis
            qtlocation
            qtserialport
            qtsvg
-           qtwebkit
            qwt
            ;;("saga" ,saga)
            sqlite))
-- 
2.34.0